Skip to main content
GET
/
v2
/
employer-search
List all employers
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/employer-search \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "item_000000002",
    "name": "Bullseye",
    "logo_url": "argyle.com/image-holdings",
    "kind": "employer",
    "mapping_status": "verified",
    "status": "unavailable"
  },
  {
    "id": "item_000000003",
    "name": "Triple",
    "logo_url": "argyle.com/image-holdings",
    "kind": "platform",
    "mapping_status": "mapped",
    "status": "healthy"
  }
]

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

q
string

Free-text search filter.

kind
string

Filter by kind value.

mapping_status
string

Filter by mapping_status value.

Multiple mapping_status values can also be searched at once using either method:

  1. /v2/items?mapping_status=verified,mapped
  2. /v2/items?mapping_status=verified&mapping_status=mapped
status
string

Filter by status value.

Multiple status values can also be searched at once using either method:

  1. /v2/items?status=healthy,issues
  2. /v2/items?status=healthy&status=issues

Filtering by both healthy and issues will return all Items that currently support new payroll connections.

limit
integer<int32>

Number of Item objects returned per page. Default: 10. Maximum: 200.

Required range: 1 <= x <= 200

Response

200 - application/json
id
string

Unique ID of the Item. ID format — item_123456789

name
string

Name of the Item.

logo_url
string

URL location of the Item's logo image file.

kind
enum<string>

Type of Item.

  • employer — individual employer
  • gig — gig platform
  • platform — payroll provider platform
  • benefits — government benefits
Available options:
employer,
gig,
platform,
benefits
mapping_status
enum<string>

Verification status of the Item.

  • verified — The payroll system associated with the Item is known, and the Item has previously experienced a successful connection that returned paystub data.

  • mapped — The payroll system associated with the Item is known, but the Item is awaiting a successful connection.

  • unmapped — The payroll system associated with this Item is not yet known. If an unmapped Item is selected in Link, the user will be given the option to search for the relevant payroll system and attempt to connect using their login credentials.

Available options:
verified,
mapped,
unmapped
status
enum<string>

Health status of the Item.

  • healthy — Normal service.
  • issues — Impacted service. New account connections still supported.
  • unavailable — Impacted service. New account connections not supported. Ongoing refresh paused.
Available options:
healthy,
issues,
unavailable